#!/usr/bin/env python

import sys
import pygtk
pygtk.require("2.0")
from gtk                import glade
from os.path            import abspath, join, dirname, pardir
import locale
import gettext
import __builtin__


# Determine location
__builtin__.ROOT_DIR      = abspath(join(dirname(__file__), pardir, pardir, pardir, pardir))
__builtin__.SHARE_DIR     = join(ROOT_DIR, 'share')
__builtin__.SHARE_APP_DIR = join(SHARE_DIR, 'crebs')
__builtin__.GLADE_DIR     = join(SHARE_APP_DIR, 'glade')
__builtin__.LIB_DIR       = join(SHARE_APP_DIR, 'lib')
__builtin__.LOCALE_DIR    = join(SHARE_APP_DIR, 'locale')

# Internationalisation
GETTEXT_DOMAIN = 'create_background_slideshow'

try:
    locale.setlocale(locale.LC_ALL, '')
except:
    sys.stderr.write("Error: Unsupported locale setting\n    If you are using Debian, Ubuntu, or another derivative, please try running:\n    sudo dpkg-reconfigure locales\n")

for module in gettext, glade:
    module.bindtextdomain(GETTEXT_DOMAIN, LOCALE_DIR)
    module.textdomain(GETTEXT_DOMAIN)

__builtin__._ = gettext.gettext
__builtin__.N_ = gettext.ngettext

# Define application details
APP_NAME_ENGLISH          = "Create Background Slideshow"
__builtin__.APP_NAME    = _("Create Background Slideshow")
__builtin__.APP_VERSION   = "0.9.8.4"

if APP_NAME == APP_NAME_ENGLISH:
    __builtin__.APP_LONG_NAME = "{0} {1}".format(APP_NAME_ENGLISH, APP_VERSION)
else:
    __builtin__.APP_LONG_NAME = "{0} ({1}) {2}".format(APP_NAME_ENGLISH, APP_NAME, APP_VERSION)

# Lazy way to get .desktop comment translated
DESKTOP_COMMENT = _("Choose a set of images for desktop wallpaper that changes periodically")

