#!/usr/bin/env python

import pynotify

from crebs.debug import report


def send_notification(slideshow_name):
    """Sends a notification (if possible) that the wallpaper has been set."""

    if not pynotify.init (_("Create Background Slideshow")):
        report(2, _("Notifications can not be sent."))

    else:
        report(2, _("Sending a notification..."))

        n_title   = _("Background Slideshow Created")
        n_message = _("\"{0}\" set as desktop wallpaper").format(slideshow_name)

        try:
            n = pynotify.Notification (n_title, n_message)
            success = n.show()
        except:
            report(2, _("Error: The notification could not be sent."), 0.5, True)
        else:
            if not success:
                report(3, "Failure: Unable to show notification.", 0.5)
            else:
                report(3, "Success.", 0.5)

