#!/usr/bin/env python


def get_scaled_duration(duration, days=False):
    """Returns the default timings for the GUI."""

    # 0 = 0 seconds
    if duration == 0:
        duration_scaled = 0
        scale = 2

    # express as days? (only if days required)
    elif days and duration % 86400 == 0:
        duration_scaled = duration / 86400
        scale = -1

    # express as hours?
    elif duration % 3600 == 0:
        duration_scaled = duration / 3600
        scale = 0

    # as minutes?
    elif duration % 60 == 0:
        duration_scaled = duration / 60
        scale = 1

    else:
        duration_scaled = duration
        scale = 2

    if days:
        scale += 1

    return (duration_scaled, scale)



